LIKWID-SETFREQ(1)

NAME
likwid-setFreq - Mediator for likwid-setFrequencies(1) that performs the actual setting of hardware thread's frequency and governor.

SYNOPSIS
likwid-setFreq

OPTIONS

No options

DESCRIPTION
likwid-setFreq is a command line application that mediates the request from likwid-setFrequencies(1) because setting a hardware thread's frequency and/or governor requires root privileges. When starting the daemon, it opens a UNIX socket and waits for connects from LIKWID. When the connection is established, the library can send commands to likwid-setFreq to minimize overhead. This executable must be suid-root. likwid-setFreq works with the 'acpu_cpufreq' and the 'intel_pstate' driver.

AUTHOR
Written by Thomas Gruber <thomas.roehl@googlemail.com>.

BUGS
Report Bugs on <https://github.com/RRZE-HPC/likwid/issues>.

SEE ALSO
likwid-setFrequencies(1)